LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 04-08-2016, 03:48 PM   #1
Joy Stick
Member
 
Registered: Dec 2015
Distribution: RHEL 4.7
Posts: 61

Rep: Reputation: Disabled
Cannot install rpms


Hi ,

Trting to install SQL-Developer tool in linux.

>> JDK S/w downloaded.
PHP Code:
Linux x86  154.74 MB   jdk-8u77-linux-i586.rpm
http
://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html 
PHP Code:
[root@OEL-SERVER u03]# rpm -ivh jdk-8u77-linux-i586.rpm  
Preparing...                ########################################### [100%]
   
1:jdk1.8.0_77            ########################################### [100%]
Unpacking JAR files...
        
tools.jar...
        
plugin.jar...
        
javaws.jar...
        
deploy.jar...
        
rt.jar...
        
jsse.jar...
        
charsets.jar...
        
localedata.jar...
        
jfxrt.jar...

[
root@OEL-SERVER u03]# rpm -ivh sqldeveloper-4.1.3.20.78-1.noarch.rpm 
errorFailed dependencies:
        
rpmlib(FileDigests) <= 4.6.0-1 is needed by sqldeveloper-4.1.3.20.78-1.noarch
        rpmlib
(PayloadIsXz) <= 5.2-1 is needed by sqldeveloper-4.1.3.20.78-1.noarch 
How do i solve this ??

PHP Code:
# uname -a
Linux OEL-SERVER 2.6.18-194.el5PAE #1 SMP Mon Mar 29 20:19:03 EDT 2010 i686 i686 i386 GNU/Linux 
 
Old 04-08-2016, 05:01 PM   #2
Joy Stick
Member
 
Registered: Dec 2015
Distribution: RHEL 4.7
Posts: 61

Original Poster
Rep: Reputation: Disabled
Hi all,


where do i get these dependencies ???
where can i download ?

Last edited by Joy Stick; 04-08-2016 at 05:02 PM.
 
Old 04-08-2016, 07:54 PM   #3
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,825

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
do this
Code:
su -
yum install jdk-8u77-linux
however are you 100% sure you want to replace the OpenJDK that is installed by default with a different version ?

Code:
su -
yum search java
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Getting all RPMs needed by 'yum install pkg1 pkg2 pkg3' to install on offline system veeruk101 Linux - Newbie 10 06-14-2011 02:51 AM
where do the rpms install ooagentbender Linux - Newbie 3 12-16-2003 05:19 AM
please help i cant install rpms mothman Linux - Newbie 4 10-03-2003 02:56 PM
how do i install rpms ScrewMicrosoft Linux - General 1 09-29-2003 12:36 PM
How to install RPMs? gmichel Linux - Newbie 10 09-28-2003 09:30 PM


All times are GMT -5. The time now is 11:04 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration